- Application to open a Line of Credit account is denied -
POST /v1/adverse_actions
PATCH /v1/applications/{APPLICATION_UUID}
- a charge secured account is closed due to delinquency status -
POST /v1/adverse_actions
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
In the complex landscape of financial services, adherence to regulatory requirements is not merely a formality but an imperative for transparent and ethical operations.
POST /v1/adverse_actions curl -X POST \
-H 'Authorization: Bearer $apikey' \
-H 'Content-Type: application/json' \
-d '
{
"notification_time": "2020-05-19T21:14:27.434964Z",
"purpose": "ACCOUNT_OPENING",
"reasons": [
"TOO_MANY_INQUIRIES",
"INSUFFICIENT_CREDIT_HISTORY"
],
"related_resource_id": "9337a443-fa03-471c-ab05-b138c41dbd17",
"related_resource_type": "CUSTOMER"
}' $baseurl/v1/adverse_actions
{
"notification_time": "2020-05-19T21:14:27.434964Z",
"purpose": "ACCOUNT_OPENING",
"reasons": [
"TOO_MANY_INQUIRIES",
"INSUFFICIENT_CREDIT_HISTORY"
],
"related_resource_id": "9337a443-fa03-471c-ab05-b138c41dbd17",
"related_resource_type": "CUSTOMER",
"creation_time": "2023-09-19T15:48:24.10184Z",
"id": "2fb2858b-f859-4dc8-9ad2-2a4e596fed89",
"last_updated_time": "2023-09-19T15:48:24.10184Z"
}
PATCH /v1/applications/{APPLICATION_UUID}
curl -X PATCH \
-H 'Content-Type: application/json' \
-d '
{
"applicants": [
{
"adverse_action_id": "2fb2858b-f859-4dc8-9ad2-2a4e596fed89",
"customer_id": "4a666a01-d23a-47b1-8c20-2eb5a923da35",
"is_primary": true
}
],
"status": "CREDIT_DENIED",
}' $baseurl/v1/applications/{APPLICATION_UUID}
{
"account_type": "LINE_OF_CREDIT",
"applicants": [
{
"adverse_action_id": "2fb2858b-f859-4dc8-9ad2-2a4e596fed89",
"customer_id": "4a666a01-d23a-47b1-8c20-2eb5a923da35",
"is_primary": true
}
],
"purpose": "ACCOUNT_OPENING",
"status": "CREDIT_DENIED",
"type": "CREDIT",
"creation_time": "2022-10-26T19:14:45.861687Z",
"id": "ebda67f0-e0a7-41e2-98ed-0617a1e815a6",
"last_updated_time": "2023-09-20T00:31:10.255042Z"
}
POST /v1/adverse_actions curl -X POST \
-H 'Authorization: Bearer $apikey' \
-H 'Content-Type: application/json' \
-d '
{
"notification_time": "2020-05-19T21:14:27.434964Z",
"purpose": "ACCOUNT_CLOSURE",
"reasons": [
"FRAUDULENT_ACTIVITIES"
],
"related_resource_id": "9337a443-fa03-471c-ab05-c538c41dbd17",
"related_resource_type": "ACCOUNT"
}' $baseurl/v1/adverse_actions
{
"notification_time": "2020-05-19T21:14:27.434964Z",
"purpose": "ACCOUNT_CLOSURE",
"reasons": [
"FRAUDULENT_ACTIVITIES"
],
"related_resource_id": "9337a443-fa03-471c-ab05-c538c41dbd17",
"related_resource_type": "ACCOUNT",
"creation_time": "2023-09-19T15:48:24.10184Z",
"id": "2fb2858b-f859-4dc8-9ad2-3b4e596fed89",
"last_updated_time": "2023-09-19T15:48:24.10184Z"
}
Was this page helpful?
